Sn0wBreeze 2.0 to Jailbreak iOS 4.1 on iPhone 3GS, 3G and iPod Touch Releasing Tomorrow (Wednesday) - iPhoneHeat

Sn0wBreeze 2.0 to Jailbreak iOS 4.1 on iPhone 3GS, 3G and iPod Touch Releasing Tomorrow (Wednesday)

Sn0wbreeze 2.0 to jailbreak iOS 4.1 on iPhone 3GS, 3G, 2G and iPod Touch 3G, 2G and 1G will be out tomorrow (Wednesday). Sn0wBreeze 2.0 will jailbreak iOS 4.1, iOS 4.x and iOS 3.1.x.

Sn0wbreeze 2.0

Sn0wbreeze 2.0, just like PwnageTool, creates a custom firmware for your iPhone, iPod Touch and jailbreak them without updating iPhone baseband and allows you to unlock iPhone with UltraSn0w then. But unlike PwnageTool it works in Windows OS only.

Sn0wBreeze 2.0 will Support:

  • iPhone 3GS (New Bootrom): Must be running iOS 3.1.2 + Jailbroken
  • iPhone 3GS (Old Bootrom): Must already be Jailbroken (If jailbroken using Spirit or JailbreakMe, install Spirit2Pwn from http://repo.woowiz.net)
  • iPhone 3G
  • iPhone 2G
  • iPod Touch 3G: Must be running iOS 3.1.2 + Jailbroken
  • iPod Touch 2G (MC Model): Must be running OS 3.1.2 + Jailbroken
  • iPod Touch 2G (non-MC Model)
  • iPod Touch 1G

NOTE: iPhone 4, iPod Touch 4G and iPad support will be added once SHAtter exploit is out.

We’ll keep you posted as soon as Sn0wbreeze goes live along with step-by-step instruction on how to jailbreak iOS 4.1, 4.0.x and OS 3.2.1 on iPhone 3GS, 3G, 2G and iPod Touch 3G, 2G and 1G. via [iedicate]

You can follow us on Twitter, Join us at Facebook, and also Subscribed to RSS Feed to receive latest updates.

Also checkout:

26 comments… add one
Kevin Cabral September 22, 2010, 3:39 am

How about iPhone 4G… I want to jailbreak my phone on the v4.1 🙁 lol

sportflight September 22, 2010, 5:31 am

Can I use this tool to Jailbreak my iPhone 3GS iOS 4.1 new bootrom never jailbreak before? Thanks

AfRoO September 22, 2010, 12:05 pm

iPhone 3GS (Old Bootrom): Must already be Jailbroken (If jailbroken using Spirit or JailbreakMe,

Flare7 September 22, 2010, 9:56 pm

Um he asked about the new boot rom not the old so why would you put that non helpful comment there ??? To answer his question ive been looking around I have ios 4.0.2 (new bootrom) never before jailbroken 3GS so from what I’ve found is you cannot jailbreak it what so ever and you can’t downgrade due to errors from apple I’ve been working on a way but the most we can do is cross our fingers and hope we can soon if any on has found a way please tell me f_c74@yahoo.com I can give more info if any one needs 🙁

Raducu September 22, 2010, 4:41 pm

Sorry for disturbing, I have an iPhone 3G, iOS 4.1. I don’t have multitasking, homescreen wallpeper or hdr photo enabled. Will they be able after jailbreak? I know that for multitasking there is a tweak that works with winterboard, but how about hdr photos?
Thank you

PJ September 22, 2010, 5:58 pm

Can I use this to Jailbreak my iPhone 3GS old bootrom, if I am jailbroken on 3.1.2 currently?.

iPhoneHeat September 22, 2010, 9:31 pm

Please read before you ask..

and Yes, according to the source.

Viktorio September 22, 2010, 11:16 pm

Can I use this tool to Jailbreak my iPhone 3GS iOS 4.0.2 new bootrom never jailbreak before? Thanks

iPhoneHeat September 23, 2010, 12:50 am

Nope.

amin September 23, 2010, 2:21 am

Hi
sn0wbreeze 2.0 tonight will be release? or tomarrow?

justakid September 23, 2010, 4:31 am

I have a 3gs 4.0.1. that had been jailbroken before (but accidentally updated to a 4.1) thus resetting it back.

modem:05.14.02
carrier 8.0
model mc136ll
version 4.1 (8b117)

is this possible to jailbreak with the new snowbreeze?

James November 13, 2010, 5:40 pm

use limera1n

jak webster September 23, 2010, 10:53 pm

Help please!!! I was jailbroken on 3.1.3 on my 3gs and never save my shsh 🙁 also i acidently upgraded to 4.1 however i also reset my iphone will this count as

?iPhone 3GS (Old Bootrom): Must already be Jailbroken (If jailbroken using Spirit or JailbreakMe, install Spirit2Pwn from http://repo.woowiz.net)

so will i be able to jailbreak my iphone with the new sn0wbreeze???? plzzz help!

cheers

iPhoneHeat September 24, 2010, 12:44 am

but 4.1 doesn’t count.. because condition is >> it must be jailbroken..
So upto 4.0.1 is supported.. Wait for the greepois0n update

kinjiro October 5, 2010, 7:24 pm

can’t wait until tomorrow…

mxd October 13, 2010, 5:47 pm

I have a iPod 2G(MC) ,but I have updated it to iOS4.1

ray ray October 23, 2010, 1:31 pm

i was trying to upgrade my 3gs to 4.0 and i tried to install spirit2pwn an it gives me a couple of errors…..and can i use 4.0.1 instead of 4.0

ray ray October 23, 2010, 1:33 pm

i was trying to upgrade my 3gs to 4.0 and i tried to install spirit2pwn an it gives me a couple of errors http 1.1 404 not found what do i do now?? …..and can i use 4.0.1 instead of 4.0

Chrispbr From Brazil October 27, 2010, 9:04 pm

Leave a Comment